Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting
Interface AjaxFilter

All Known Implementing Classes:
  ExecuteAjaxFilter, ExtraLatencyAjaxFilter, H3SessionAjaxFilter

    public interface AjaxFilter

A filter is a way to insert procesing tasks at various points during the processing of an Ajax call.

Example filters:

- Authentication
- Latency simulators
- Data cleansing - remove private data
- Logging filters - when you need specific logging action

Since:
  DWR 2.0
Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Method Summary
`java.lang.Object` | `doFilter(java.lang.Object obj, java.lang.reflect.Method method, java.lang.Object[] params, AjaxFilterChain chain)` The `doFilter` method of the AjaxFilter is called by DWR each time an Ajax request is made on a method that this filter is configured against.

Method Detail

### doFilter

    java.lang.Object doFilter(java.lang.Object obj,
                              java.lang.reflect.Method method,
                              java.lang.Object[] params,
                              AjaxFilterChain chain)
                              throws java.lang.Exception

  The `doFilter` method of the AjaxFilter is called by DWR each time an Ajax request is made on a method that this filter is configured against. The `AjaxFilterChain`passed in to this method allows the filter to pass on method details to next entity in the chain.

  Typically the method would do the following:

  1. Examine the request
  2. Optionally alter the method, object or parameters
  3. Either invoke the next entity in the chain using the AjaxFilterChain or decide to take some other action instead.
  4. Optionally modify the value returned to the user
  5. Take some other action (e.g. logging)

  ``
  Parameters:
    `obj` - The object to execute the method on (i.e. 'this')
    `method` - The method to execute
    `params` - The parameters to the method call
    `chain` - Allow the request to be passed on
  Returns:
    The results of the method execution
  Throws:
    `java.io.IOException` - When some I/O error occurs
    `java.lang.Exception` - When some processing goes wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD